/*
 * This file is part of essential (http://essential.craftforge.net).
 *
 *     Essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     Essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2011 Christian Bick.
 */

package net.craftforge.essential.controller.documentation;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import java.util.List;

/**
 * Bean for documentation of service methods.
 *
 * @author Christian Bick
 * @since 25.01.2011
 */
public class ServiceMethodDoc {

    private String httpMethod;
    private String path;
    private String url;
    private String simpleUrl;
    private String returns;
    private List<ServiceParamDoc> parameters;

    public ServiceMethodDoc() { }

    public ServiceMethodDoc(String httpMethod, String path, String url, String simpleUrl, String returns) {
        this.httpMethod = httpMethod;
        this.path = path;
        this.url = url;
        this.simpleUrl = simpleUrl;
        this.returns = returns;
    }

    @XmlAttribute
    public String getHttpMethod() {
        return httpMethod;
    }

    public void setHttpMethod(String httpMethod) {
        this.httpMethod = httpMethod;
    }

    @XmlAttribute
    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    @XmlAttribute
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @XmlAttribute
    public String getSimpleUrl() {
        return simpleUrl;
    }

    public void setSimpleUrl(String simpleUrl) {
        this.simpleUrl = simpleUrl;
    }

    @XmlAttribute
    public String getReturns() {
        return returns;
    }

    public void setReturns(String returns) {
        this.returns = returns;
    }

    @XmlElementWrapper(name="serviceParameters")
    @XmlElement(name="serviceParameter")
    public List<ServiceParamDoc> getParameters() {
        return parameters;
    }

    public void setParameters(List<ServiceParamDoc> parameters) {
        this.parameters = parameters;
    }


}
