/*
 * This file is part of essential (http://essential.craftforge.net).
 *
 *     Essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     Essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2011 Christian Bick.
 */

package net.craftforge.essential.controller.providers;

/**
 * An authentication provider authenticates a user password combination. An implementation may
 * for example use a data base query or XML file to compare the given credentials to the
 * expected ones.
 *
 * @author Christian Bick
 * @since 22.05.2011
 */
public interface AuthenticationProvider {

    /**
     * Authenticates a user password combination.
     *
     * @param user The user to authenticate
     * @param pass The user password
     * @return whether the user could be authenticated or not
     */
    public boolean authenticates(String user, String pass);
}
