/*
 * This file is part of essential (http://essential.craftforge.net).
 *
 *     Essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     Essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2011 Christian Bick.
 */

package net.craftforge.essential.controller.providers;

import net.craftforge.essential.controller.Setup;
import net.craftforge.essential.controller.State;

/**
 * A logging provider logs the result of a successful request represented by the
 * initial controller setup and current controller state. An implementation may for
 * example log to a text file or call a billing service.
 *
 * @author Christian Bick
 * @since 30.05.2011
 */
public interface LoggingProvider {

    /**
     * Logs the request represented by the initial controller setup and current
     * controller state.
     *
     * @param state The current controller state
     * @param setup The initial controller setup
     */
    public void log(State state, Setup setup);
}
